package com.ruoyi.system.mapper;

import org.apache.ibatis.annotations.Param;
import java.util.List;
import com.ruoyi.system.api.domain.SysDictData;

public interface SysDictDataMapper
{
    List<SysDictData> selectDictDataList(final SysDictData p0);
    
    List<SysDictData> selectDictDataByType(final String p0);
    
    String selectDictLabel(@Param("dictType") final String p0, @Param("dictValue") final String p1);
    
    SysDictData selectDictDataById(final Long p0);
    
    int countDictDataByType(final String p0);
    
    int deleteDictDataById(final Long p0);
    
    int deleteDictDataByIds(final Long[] p0);
    
    int insertDictData(final SysDictData p0);
    
    int updateDictData(final SysDictData p0);
    
    int updateDictDataType(@Param("oldDictType") final String p0, @Param("newDictType") final String p1);
}
